### Method

# AppStreamCompose Hint add_explanation_var

#### Declaration [src]

    void
    asc_hint_add_explanation_var (
      AscHint* hint,
      const gchar* var_name,
      const gchar* text
    )

#### Description [src]

Add a replacement variable for the explanation text.

#### Parameters

`var_name`

  Type: `const gchar*`

  Name of the variable to be replaced.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`text`

  Type: `const gchar*`

  Replacement for the variable name.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.